
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

// 
// File not compatable with VLC version
//

#if !defined(AFX_STDAFX_H__0BCEAED6_3FEB_4D46_BF61_C6D26BD77340__INCLUDED_)
#define AFX_STDAFX_H__0BCEAED6_3FEB_4D46_BF61_C6D26BD77340__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

//#define _UNICODE			// added unicode added to option

#define VS2005		1		// 0 if using VC6.0
#define TUX_HOST	1		// 1 if hosted at TuxFamily.org


#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC Automation classes
#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT
#include <afxmt.h>
#include <htmlhelp.h>		// HTML Help


#define WM_USER_STATUS_STRING			WM_USER + 0x100
#define WM_USER_PROGRESS_POS			WM_USER + 0x101
#define WM_USER_PROGRESS_MAX			WM_USER + 0x102
#define WM_USER_PROGRESS2_POS			WM_USER + 0x103
#define WM_USER_PROGRESS2_MAX			WM_USER + 0x104

#define WM_USER_UPDATE_FINISHED			WM_USER + 0x105
#define WM_USER_DOWNLOAD_FINISHED		WM_USER + 0x106
#define WM_USER_APP_UPDATE_FINISHED		WM_USER + 0x107
//#define WM_USER_STREAM_TEST_FINISHED	WM_USER + 0x108	// 5/20/15

#define WM_USER_UPDATE_ABORTED			WM_USER + 0x110
#define WM_USER_DOWNLOAD_ABORTED		WM_USER + 0x111
#define WM_USER_APP_UPDATE_ABORTED		WM_USER + 0x112
//#define WM_USER_STREAM_TEST_ABORTED		WM_USER + 0x113	// 5/20/15

#define WM_USER_DLG_UPDATE				WM_USER + 0x121
#define WM_USER_TREE_VID_UPDATE			WM_USER + 0x122
#define WM_USER_FINISHED				WM_USER + 0x123
#define WM_USER_HIDE_LEFT_PANE			WM_USER + 0x124
#define WM_USER_KBPS					WM_USER + 0x125
#define WM_USER_TREE_SET_SEL			WM_USER + 0x126

#define WM_USER_PAGE_SWITCH				WM_USER + 0x142	
#define WM_USER_COPY_THREAD				WM_USER + 0x143	

// DS Lav
#include <initguid.h>		// LAV Filter DEFINE_GUID

#define WM_USER_SET_ACTIVATE			WM_USER + 0x144
#define WM_USER_VIDEOEVENT				WM_USER + 0x145
#define WM_USER_VID_WND_DESTROYED		WM_USER + 0x146 // info View
#define WM_USER_VID_ERROR				WM_USER + 0x147

#define WM_USER_VID_START				WM_USER + 0x148
#define WM_USER_VID_STOP				WM_USER + 0x149
#define WM_USER_VID_PAUSE				WM_USER + 0x150
#define WM_USER_VID_TIME				WM_USER + 0x151
#define WM_USER_VID_VOL					WM_USER + 0x152
#define WM_USER_VID_MUTE				WM_USER + 0x153

#define WM_USER_BAR_START				WM_USER + 0x154	// info Bar
#define WM_USER_BAR_STOP				WM_USER + 0x155
#define WM_USER_BAR_PAUSE				WM_USER + 0x156
#define WM_USER_BAR_TIME				WM_USER + 0x157
#define WM_USER_BAR_VOL					WM_USER + 0x158
#define WM_USER_BAR_MUTE				WM_USER + 0x159

#define WM_USER_TREE_SET_SEARCH			WM_USER + 0x160 // 10/04/2017 search
#define WM_USER_TREE_DELETE_SEL			WM_USER + 0x161 // 10/04/2017 developer utility


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
#endif // !defined(AFX_STDAFX_H__0BCEAED6_3FEB_4D46_BF61_C6D26BD77340__INCLUDED_)
